# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.87"
name = "merman-cli"
version = "0.6.0"
authors = ["Mingzhen Zhuang <superfrankie621@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI to parse/layout/render Mermaid diagrams to SVG/PNG/JPG/PDF (headless)."
homepage = "https://github.com/Latias94/merman"
documentation = "https://docs.rs/merman-cli"
readme = "README.md"
keywords = [
    "mermaid",
    "diagrams",
    "svg",
    "cli",
    "headless",
]
categories = [
    "command-line-utilities",
    "visualization",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Latias94/merman"
resolver = "2"

[[bin]]
name = "merman-cli"
path = "src/main.rs"

[[test]]
name = "jpeg_smoke"
path = "tests/jpeg_smoke.rs"

[[test]]
name = "pdf_smoke"
path = "tests/pdf_smoke.rs"

[[test]]
name = "png_smoke"
path = "tests/png_smoke.rs"

[dependencies.merman]
version = "0.6.0"
features = ["raster"]

[dependencies.serde]
version = "1.0.217"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1.0.138"
features = ["preserve_order"]

[dev-dependencies.assert_cmd]
version = "2.0.16"

[dev-dependencies.png]
version = "0.17.16"

[dev-dependencies.tempfile]
version = "3.14.0"
